(function($) {
    'use strict';

    var WidgetTestimonialThumbCarouselHandler = function ($scope) {
        console.log('test')
        // Testinomials Carousel
        if ($('.testimonial-content').length) {

            var testimonial_thumbs = new Swiper('.testimonial-thumbs', {
                spaceBetween: 10,
                
                loop: false,
                slidesPerView: "auto",
                simulateTouch: true,
                direction: 'horizontal',
                centeredSlides: true,
                navigation: {
                    nextEl: ".swiper-button-next",
                    prevEl: ".swiper-button-prev",
                }, 
                breakpoints: {
                    640: {

                    },
                    768: {

                    },
                    1025: {
                        simulateTouch: false,
                        direction: 'vertical',
                    },
                },
            });

            var testimonial_content = new Swiper('.testimonial-content', {
                spaceBetween: 0,
                effect:'fade',
                slidesPerView: "auto",
                loop: false,
                thumbs: {
                    swiper: testimonial_thumbs
                },
                navigation: {
                    nextEl: ".swiper-button-next",
                    prevEl: ".swiper-button-prev",
                }, 
                breakpoints: {
                    640: {
                    },
                    768: {
                    },
                    1024: {
                    },
                },
            });
        }
    };

    //elementor front start
    $(window).on("elementor/frontend/init", function () {
        elementorFrontend.hooks.addAction(
            "frontend/element_ready/tm-ele-cpt-testimonials.skin-style-current-theme4",
            WidgetTestimonialThumbCarouselHandler
        );
    });
    $(window).on("elementor/editor/before_enqueue_scripts", function () {
        elementorFrontend.hooks.addAction( 'frontend/element_ready/widget', function( $scope ) {
            WidgetTestimonialThumbCarouselHandler
        } );
    });


})(jQuery);